Google Calendar connection + booking settings
curl --request GET \
--url https://api.pineyard.ai/google/calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/google/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connected": true,
"googleEmail": "<string>",
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [
123
],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 123,
"bufferMinutes": 123,
"minNoticeMinutes": 123,
"defaultSiteLocation": "<string>"
}Google Calendar
Google Calendar connection + booking settings
GET
/
google
/
calendar
Google Calendar connection + booking settings
curl --request GET \
--url https://api.pineyard.ai/google/calendar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/google/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connected": true,
"googleEmail": "<string>",
"calendarId": "<string>",
"timezone": "<string>",
"workingDays": [
123
],
"workingHoursStart": "<string>",
"workingHoursEnd": "<string>",
"slotMinutes": 123,
"bufferMinutes": 123,
"minNoticeMinutes": 123,
"defaultSiteLocation": "<string>"
}Required scope:
calendar.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK

